import * as core from "@terrascript/core";

export interface WorkingStorageArgs extends core.ResourceArgs {
  diskId: string | core.StringOut;

  gatewayArn: string | core.StringOut;
}

export class WorkingStorage extends core.Resource<WorkingStorageArgs> {
  @core.attr(String)
  public diskId!: string | core.StringOut;

  @core.attr(String)
  public gatewayArn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: WorkingStorageArgs) {
    super(name, "aws_storagegateway_working_storage", args);
  }

  public override getNamespace(): string {
    return "aws_storagegateway";
  }
}
